## WordListApi

This is the WordListApi API

## updateWordList

### URL

`http://api.wordnik.com/v4/wordList.{format}/{permalink}`

### HTTP Method

`PUT`

### Response Type

### Parameters

permalink : string (path)

permalink of WordList to update

body :
WordList (body)
optional

Updated WordList

auth_token : string (header)

The auth token of the logged-in user, obtained by calling /account.{format}/authenticate/{username} (described above)

## deleteWordList

### URL

`http://api.wordnik.com/v4/wordList.{format}/{permalink}`

### HTTP Method

`DELETE`

### Response Type

### Parameters

permalink : string (path)

ID of WordList to delete

auth_token : string (header)

The auth token of the logged-in user, obtained by calling /account.{format}/authenticate/{username} (described above)

## getWordListByPermalink

### URL

`http://api.wordnik.com/v4/wordList.{format}/{permalink}`

### HTTP Method

`GET`

### Response Type

WordList

### Parameters

permalink : string (path)

permalink of WordList to fetch

auth_token : string (header)

The auth token of the logged-in user, obtained by calling /account.{format}/authenticate/{username} (described above)

## addWordsToWordList

### URL

`http://api.wordnik.com/v4/wordList.{format}/{permalink}/words`

### HTTP Method

`POST`

### Response Type

### Parameters

permalink : string (path)

permalink of WordList to user

body :
Array[StringValue] (body)
optional

Array of words to add to WordList

auth_token : string (header)

The auth token of the logged-in user, obtained by calling /account.{format}/authenticate/{username} (described above)

## getWordListWords

### URL

`http://api.wordnik.com/v4/wordList.{format}/{permalink}/words`

### HTTP Method

`GET`

### Response Type

List[WordListWord]

### Parameters

permalink : string (path)

ID of WordList to use

auth_token : string (header)

The auth token of the logged-in user, obtained by calling /account.{format}/authenticate/{username} (described above)

sortBy : string (query)
optional

Field to sort by

sortOrder : string (query)
optional

Direction to sort

skip : int (query)
optional

Results to skip

limit : int (query)
optional

Maximum number of results to return

## deleteWordsFromWordList

### URL

`http://api.wordnik.com/v4/wordList.{format}/{permalink}/deleteWords`

### HTTP Method

`POST`

### Response Type

### Parameters

permalink : string (path)

permalink of WordList to use

body :
Array[StringValue] (body)
optional

Words to remove from WordList

auth_token : string (header)

The auth token of the logged-in user, obtained by calling /account.{format}/authenticate/{username} (described above)